import java.io.*;
/**
 * Demo similar a Cuenta Corriente
 *
 * @author G.Cherencio 
 * @version 1.0
 */
public class Cuenta
{
    // instance variables - replace the example below with your own
    private double saldo = 0.0;
    private StringBuffer sb = new StringBuffer();

    /**
     * Constructor for objects of class Cuenta
     */
    public Cuenta() {
        cambiarSaldo(0.0);
    }

    /**
     * Constructor for objects of class Cuenta
     */
    public Cuenta(double d) {
        cambiarSaldo(d);
    }
    // GETTERS
    public double getSaldo() { return saldo; }
    /**
     * cambiarSaldo() permite sumar o restar del 
     * saldo dependiendo si m es mayor o menor que cero
     * @param m monto a sumar o restar del saldo
     * 
     */
    public void cambiarSaldo(double m) {
        if ( m == 0.0 ) return;
        if ( m > 0.0 ) {
            sb.append("Deposito\t"+m+"\t"+saldo+"\t"+(saldo+m)+"\n");
        } else {
            sb.append("Retiro  \t"+m+"\t"+saldo+"\t"+(saldo+m)+"\n");
        }
        saldo+=m;
    }
    /**
     * resumen() Imprime resumen de cuenta
     *  
     */
    public void resumen() {
        PrintStream p = System.out;
        p.println("\t\tRESUMEN DE CUENTA\n");
        p.println(sb.toString());
        p.println("Saldo Actual:"+saldo);
    }
    
}
